<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns="http://www.irs.gov/efile" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.irs.gov/efile" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.0">

	<xsd:annotation>
		<xsd:documentation>
			<Description>IRS e-file Income Tax Schema - Global Securities Dealing Schedule</Description>
			<TaxYear>2018</TaxYear>
			<MaturityLevel>Final Release</MaturityLevel>
			<ReleaseDate>October 17, 2018</ReleaseDate>
		</xsd:documentation>
	</xsd:annotation>

	<xsd:include schemaLocation="../../../Common/efileTypes.xsd"/>

	<!-- ============================================ -->
	<!-- ==== Global Securities Dealing Schedule ==== -->
	<!-- ============================================ -->

	<xsd:element name="GlobalSecuritiesDealingSch">
		<xsd:annotation>
			<xsd:documentation>Global securities dealing schedule</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:complexContent>
				<xsd:extension base="GlobalSecuritiesDealingSchType">
					<xsd:attributeGroup ref="DocumentAttributes">
						<xsd:annotation>
							<xsd:documentation>Common return document attributes</xsd:documentation>
						</xsd:annotation>
					</xsd:attributeGroup>
					<xsd:attribute name="documentName" type="xsd:string" fixed="GlobalSecuritiesDealingSchedule">
						<xsd:annotation>
							<xsd:documentation>IRS internal use only. To avoid error in the return, do not include the attribute name or value.</xsd:documentation>
						</xsd:annotation>
					</xsd:attribute>
				</xsd:extension>
			</xsd:complexContent>
		</xsd:complexType>
	</xsd:element>

	<xsd:complexType name="GlobalSecuritiesDealingSchType">
		<xsd:annotation>
			<xsd:documentation>Content model for global securities dealing schedule</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>

			<!-- Global Securities Dealing Info  -->
			<xsd:element name="GlobalSecuritiesDealingInfo" type="GlobalSecuritiesDealingInfoType" minOccurs="0" maxOccurs="unbounded">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Global securities dealing info</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="GlobalSecuritiesDealingInfoType">
		<xsd:annotation>
			<xsd:documentation>Content model for global securities dealing info</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>

			<!-- Provide a Brief Description of Each Global Dealings Operation -->
			<xsd:element name="GlobalSecuritiesDealingOprDesc" type="ShortExplanationType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Provide a brief description of each global dealings operation</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- List Each Foreign Currency Separately For Each Foreign Currency That Constitutes a Separate Global Dealing Operation -->
			<xsd:element name="ForeignCurrencyUsedTxt" type="LineExplanationType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>List each foreign currency separately for each foreign currency that constitutes a separate global dealing operation</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

		</xsd:sequence>
	</xsd:complexType>

</xsd:schema>
